<?php

/**
 * Plugin Name: Vantevo Analytics
 * Plugin URI: https://vantevo.io/
 * Description: Official Vantevo Analytics plugin for Wordpress. Vantevo Analytics is the alternative platform to Google Analytics, it collects the statistics of your website, but simpler.
 * Version: 1.1.3
 * Author: Vantevo Analytics
 * Text Domain: vantevo-analytics
 * Domain Path: /languages
 * Author URI: https://vantevo.io/
 */


// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}

if (!function_exists('add_action')) {
    echo 'Error: not found add_action function.';
    exit;
}

if (!function_exists('get_plugin_data')) {
    require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}

function plugin_load_textdomain()
{
    load_plugin_textdomain('vantevo-analytics', false, basename(dirname(__FILE__)) . '/languages/');
}
add_action('init', 'plugin_load_textdomain');


/**
 * 
 * add link to settings page wordpress admin
 * add link to Docs - vantevo.io/docs
 * 
 * */
function vantevo_add_action_links($actions)
{
    $mylinks = array(
        '<a href="' . admin_url('options-general.php?page=vantevo') . '">'.__('Settings', 'vantevo-analytics').'</a>',
        '<a href="' . esc_url("https://vantevo.io/docs") . '" target="_blank" rel="noreferrer" title="'.__('Documentation', 'vantevo-analytics').' Vantevo Analytics">'.__('Documentation', 'vantevo-analytics').'</a>',
    );
    $actions = array_merge($actions, $mylinks);
    return $actions;
}
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'vantevo_add_action_links');


define('VANTEVO_VERSION', '1.1.3');
define('VANTEVO_PLUGIN_DIR', plugin_dir_path(__FILE__));

require_once(VANTEVO_PLUGIN_DIR . 'vantevo.php');
require_once(VANTEVO_PLUGIN_DIR . 'container.php');
require_once(VANTEVO_PLUGIN_DIR . 'settings.php');

new VantevoAnalytics();
new VantevoAnalyticsSettings();
